org.apache.xerces.impl.dv.xs

## Class StringDV

- java.lang.Object
- - org.apache.xerces.impl.dv.xs.TypeValidator
  - - org.apache.xerces.impl.dv.xs.StringDV

    public class StringDV
    extends TypeValidator

Represent the schema type "string"

Version:
  $Id: StringDV.java 446745 2006-09-15 21:43:58Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

### Constructor Summary

Constructors
Constructor and Description
`StringDV()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`short` `getAllowedFacets()`

### Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

`checkExtraRules, compare, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit, isIdentical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringDV

    public StringDV()

### Method Detail

#### getAllowedFacets

    public short getAllowedFacets()

Specified by:
  `getAllowedFacets` in class `TypeValidator`

#### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

Specified by:
  `getActualValue` in class `TypeValidator`
Throws:
  `InvalidDatatypeValueException`